#1620 closed defect (fixed)

Issues with rtems_libio_share_private_env at cpukit/libcsupport/src/privateenv.c

Reported by: Bharath Suri Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

I sense the following problems with the routine rtems_libio_share_private_env:

  • The routine is wrapped around with #ifndef HAVE_USERENV_REFCNT ... #endif. Is this intended? Also, there is a #ifdef HAVE_USERENV_REFCNT... #endif inside this routine.
  • Clarification:

The routine is to share an environment with two tasks - the task calling the function and the task with the id passed on to it, right? At the end of the call, both the tasks need have their environment set to which task's environment?
The task calling the routine?
The task whose task id is passed in the argument?

For now, the routine doesn't seem to do any of these. I have many more concerns depending on the answer to the above...

Attachments (5)

privateenv.c (4.3 KB) - added by Joel Sherrill on Jul 22, 2010 at 11:59:02 PM.
Version of file with changes
privateenv-changes (2.5 KB) - added by Bharath Suri on Jul 29, 2010 at 8:47:42 PM.
Patch to cpukit/libcsupport/src
privateenv_v1.c (4.7 KB) - added by Bharath Suri on Jul 29, 2010 at 8:48:38 PM.
Version with changes
privateenv-changes_v1 (3.3 KB) - added by Bharath Suri on Jul 29, 2010 at 8:51:41 PM.
Patch @ cpukit/libcsupport/src
cpukit-ChangeLog-changes (184 bytes) - added by Bharath Suri on Jul 29, 2010 at 9:03:45 PM.
Updated ChangeLog? @ cpukit/

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Jul 16, 2010 at 3:46:14 AM by Bharath Suri

blocked: 1621

Changed on Jul 22, 2010 at 11:59:02 PM by Joel Sherrill

Attachment: privateenv.c added

Version of file with changes

Changed on Jul 29, 2010 at 8:47:42 PM by Bharath Suri

Attachment: privateenv-changes added

Patch to cpukit/libcsupport/src

Changed on Jul 29, 2010 at 8:48:38 PM by Bharath Suri

Attachment: privateenv_v1.c added

Version with changes

Changed on Jul 29, 2010 at 8:51:41 PM by Bharath Suri

Attachment: privateenv-changes_v1 added

Patch @ cpukit/libcsupport/src

comment:2 Changed on Jul 29, 2010 at 8:51:41 PM by Bharath Suri

attachments.isobsolete: 01

Changed on Jul 29, 2010 at 9:03:45 PM by Bharath Suri

Attachment: cpukit-ChangeLog-changes added

Updated ChangeLog? @ cpukit/

comment:3 Changed on Jul 30, 2010 at 3:45:33 AM by Bharath Suri

Resolution: fixed
Status: newclosed

Everything OK on head. Closing

comment:4 Changed on Aug 9, 2010 at 11:42:48 AM by Bharath Suri

blocked: 1621
Note: See TracTickets for help on using tickets.